DO_PATA_SET_DMAMODE(9)

NAME
do_pata_set_dmamode - Initialize host controller PATA PIO timings

SYNOPSIS

void do_pata_set_dmamode(struct ata_port * ap, struct ata_device * adev, int isich);

ARGUMENTS

ap
    Port whose timings we are configuring

adev
    Drive in question

isich
    set if the chip is an ICH device

DESCRIPTION

Set UDMA mode for device, in host controller PCI config space.

LOCKING

None (inherited from caller).

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT